<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - AutoTweetNG posts content to social channels (Twitter, Facebook, LinkedIn, etc).
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

// AutoTweet is.gd url short service.

JLoader::import('autotweetshortservice', dirname(__FILE__));

/**
 * AutotweetIsgdService
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
 */
class AutotweetIsgdService extends AutotweetShortservice
{

	/**
	 * AutotweetIsgdService
	 *
	 * @param   array  $data  Param
	 *
	 * @since	1.5
	 */
	public function AutotweetIsgdService($data)
	{
		parent::__construct($data);

	}

	/**
	 * getShortURL
	 *
	 * @param   string  $long_url  Param.
	 *
	 * @return	string
	 *
	 * @since	1.0
	 */
	public function getShortURL($long_url)
	{
		return $this->callSimpleService('http://is.gd/api.php?longurl=', $long_url);
	}

}
