<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - AutoTweetNG posts content to social channels (Twitter, Facebook, LinkedIn, etc).
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/*
 *
* NO ENCRYPTION, NO SECRET SAUCE, JUST A "define"
*
* I KNOW YOUR ARE HERE TO EXTEND THE NUMBER OF CHANNELS ....
*
* Before you change it, please consider, that:
*
* Your subscription supports our work, ensuring that we can continue
* developing products and offering support services.
*
* Right now, I'm writting this notice on a beatifull Sunday morning
* to release a new version of the Free Version.
*
* So, please, purchase a Basic or a Pro instead of change the "define('AUTOTWEETNG_FREE', true);"
* http://www.extly.com/autotweet-ng-pro.html
*
* PD: I trust your are going to do the right thing, in the same way
* I'm just coding a "define('AUTOTWEETNG_FREE', true);" and avoiding any encryption / DRM schema.
*
*/

define('AUTOTWEETNG_PRO', true);
define('AUTOTWEETNG_BASIC', false);
define('AUTOTWEETNG_FREE', false);




/**
 * VersionHelper class.
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
*/
abstract class VersionHelper extends JViewLegacy
{

	/**
	 * getTitle
	 *
	 * @param   string  $title  Title+
	 *
	 * @return	void
	 *
	 * @since	1.0
	 */
	public static function getTitle($title)
	{
		return JText::_('COM_AUTOTWEET_NAME') . ' RC1 ' .
				self::getFlavour() .
				' - ' .
				$title;
	}

	/**
	 * getFlavour
	 *
	 * @return	void
	 *
	 * @since	1.0
	 */
	public static function getFlavour()
	{
		$version_title = null;
		if (AUTOTWEETNG_PRO)
		{
			$version_title = 'Pro';
		}

		if (AUTOTWEETNG_BASIC)
		{
			$version_title = 'Basic';
		}

		if (AUTOTWEETNG_FREE)
		{
			$version_title = 'Free';
		}
		return $version_title;
	}

	/**
	 * isFreeFlavour
	 *
	 * @return	void
	 *
	 * @since	1.0
	 */
	public static function isFreeFlavour()
	{
		return (self::getFlavour() == 'Free');
	}

}
