/**
 * @package Extly.Components
 * @subpackage com_autotweet - AutoTweet posts content to social channels
 *             (Twitter, Facebook, LinkedIn, etc).
 * 
 * @author Prieco S.A.
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

/* jslint plusplus: true, browser: true, sloppy: true */
/* global jQuery, Request, Joomla, alert, Backbone */

require(
		[ 'extlycore' ],

		function() {

			// Image
			function jInsertFieldValue(value, id) {
				jQuery('#' + id).val(value);
			}
			
			// User
			function jSelectUser_author(id, username)
			{
				jQuery('#author').val(id);
				jQuery('#author_username').val(username);
				try {
					jQuery('#sbox-window').close();
				} catch(err) {
					SqueezeBox.close();
				}
			}

			// Tabs
			jQuery(document).ready(function() {
				jQuery('#qTypeTabs a:first').tab('show');
			});
			
		});