<?php

/**
 * @package     Extly.Library
 * @subpackage  lib_extly - Extly Framework
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * SchedulerViewTask
 *
 * @package     Extly.Library
 * @subpackage  lib_extly
 * @since       1.0
 */
class SchedulerViewTask extends FOFViewHtml
{

	/**
	 * display.
	 *
	 * @param   string  $tpl  Param
	 *
	 * @return	void
	 *
	 * @since	1.5
	 */
	public function display($tpl = null)
	{
		JLoader::import('extly.html.ehtml');
		JLoader::import('extly.html.html.eselect');

		$includes = EHtml::getRelativeFiles('js', 'lib_extly/scheduler/task.min.js', true);
		if (count($includes) > 0)
		{
			$file = $includes[0];
			Extly::initApp($file);
		}

		return parent::display($tpl);
	}
}
