<?php

/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - AutoTweetNG posts content to social channels (Twitter, Facebook, LinkedIn, etc).
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * CparamsHelper
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
 */
class CparamsHelper
{

	/**
	 * getParam.
	 *
	 * @param   string  $key      Params
	 * @param   string  $default  Params
	 *
	 * @return	string.
	 *
	 * @since	1.5
	 */
	public static function getParam($key, $default = null)
	{
		static $params = null;

		if (!is_object($params))
		{
			jimport('joomla.application.component.helper');
			$params = JComponentHelper::getParams('com_AutoTweet');
		}
		return $params->get($key, $default);
	}
}
