<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - AutoTweetNG posts content to social channels (Twitter, Facebook, LinkedIn, etc).
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * SelectHelper
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
*/
class GridHelper
{

	/**
	 * Method to create a clickable icon to change the state of an item
	 *
	 * @param   mixed    $value     Either the scalar value or an object (for backward compatibility, deprecated)
	 * @param   integer  $i         The index
	 * @param   bool     $isModule  Param
	 *
	 * @return  string
	 *
	 * @since   11.1
	 */
	public static function pubstates($value, $i, $isModule = false)
	{
		if (is_object($value))
		{
			$value = $value->pubstate;
		}

		// $task = $value ? 'unpublish' : 'publish';

		/*
		$alt = $value ? JText::_('JPUBLISHED') : JText::_('JUNPUBLISHED');
		$action = $value ? JText::_('JLIB_HTML_UNPUBLISH_ITEM') : JText::_('JLIB_HTML_PUBLISH_ITEM');
		*/

		// ## onclick="return listItemTask(\'cb' . $i . '\',\'' . $prefix . $task . '\')"

		/*
		$href = '
		<a href="#" title="' . $action . '">'
			. JHtml::_('image', $img, $alt, null, true) . '</a>';
		*/

		return SelectHelper::getTextForEnum($value, true, $isModule);
	}

}
