<?php
/**
 * @package     Extly.Components
 * @subpackage  com_autotweet - AutoTweetNG posts content to social channels (Twitter, Facebook, LinkedIn, etc).
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * AutotweetViewRequest
 *
 * @package     Extly.Components
 * @subpackage  com_autotweet
 * @since       1.0
 */
class AutotweetViewRequest extends FOFViewHtml
{

	/**
	 * onEdit.
	 *
	 * @param   string  $tpl  Param
	 *
	 * @return	void
	 *
	 * @since	1.5
	 */
	public function onAdd($tpl = null)
	{
		Extly::loadAwesome();

		JLoader::import('extly.html.ehtml');
		JLoader::import('extly.html.html.eselect');

		$includes = EHtml::getRelativeFiles('js', 'com_autotweet/post.min.js', true, false);
		if (count($includes) > 0)
		{
			$file = $includes[0];
			Extly::initApp($file);
		}

		return parent::onAdd($tpl);
	}
}
