/**
 * @package Extly.Library
 * @subpackage lib_extly - Extly Framework
 * 
 * @author Prieco S.A. <support@extly.com>
 * @copyright Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link http://www.extly.com http://support.extly.com
 */

define([], function() {
	
	// jQuery.noConflict(); - Error on redirect ... but it works anyway
	
	Joomla.submitbutton = function(task) {
		var forms = jQuery('.form-validate'), theForm = null;
		if (forms.length === 1)
		{
			theForm = forms.get(0);
		}
		if ((task === 'cancel') || 
				((!theForm) || (document.formvalidator.isValid(theForm)))) {
			Joomla.submitform(task, jQuery('#adminForm').get(0));
		} else {
			jQuery('#invalid-form').fadeIn();
		}
	};

	return {
		// What is the enter key constant?
		ENTER_KEY: 13
	};
	
});
