<?php

/**
 * @package     Extly.Library
 * @subpackage  lib_extly - Extly Framework
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('EXTLY_VERSION') or die('Restricted access');

/**
 * This is the base class for the Extly framework.
 *
 * @package     Extly.Library
 * @subpackage  lib_extly
 * @since       1.0
 */
class Scheduler
{

	/**
	 * initModule.
	 *
	 * @param   array  &$config  Param
	 *
	 * @return	void
	 *
	 * @since	1.0
	 */
	public static function initModule(&$config)
	{
		define('EPATH_SCHEDULER', EPATH_LIBRARY . '/scheduler/backend');
		define('EPATH_SCHEDULER_VIEWS', EPATH_LIBRARY . '/scheduler/backend/views');
		define('EPATH_SCHEDULER_TABLES', EPATH_LIBRARY . '/scheduler/backend/tables');

		// View
		$config['base_path'] = EPATH_SCHEDULER;

		$jlang = JFactory::getLanguage();
		$jlang->load('scheduler', EPATH_SCHEDULER, 'en-GB', true);
		$jlang->load('scheduler', EPATH_SCHEDULER, null, true);
	}

}
