<?php

/**
 * @package     Extly.Library
 * @subpackage  lib_extly - Extly Framework
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('EXTLY_VERSION') or die('Restricted access');

foreach ($this->allfieldsets as $name => $fieldset)
{
	echo '<div class="tab-pane" id="options-' . $name . '">';
	$label = !empty($fieldset->label) ? $fieldset->label : 'COM_PLUGINS_' . $name . '_FIELDSET_LABEL';

	if ((isset($fieldset->description)) && (trim($fieldset->description)))
	{
		echo '<p class="tip">' . $this->escape(JText::_($fieldset->description)) . '</p>';
	}

	$hidden_fields = '';
	foreach ($this->form->getFieldset($name) as $field)
	{
		if (!$field->hidden)
		{
			?>
<div class="control-group">
	<div class="control-label">
		<?php echo $field->label; ?>
	</div>
	<div class="controls">
		<?php echo $field->input; ?>
	</div>
</div>
<?php
		}
		else
		{
			$hidden_fields .= $field->input;
		}
	}

	echo $hidden_fields;

	// .tab-pane div
	echo '</div>';
}
