<?php

/**
 * @package     Extly.Library
 * @subpackage  lib_extly - Extly Framework
 *
 * @author      Prieco S.A. <support@extly.com>
 * @copyright   Copyright (C) 2007 - 2012 Prieco, S.A. All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL
 * @link        http://www.extly.com http://support.extly.com
 */
// No direct access
defined('EXTLY_VERSION') or die('Restricted access');

/**
 * Xlugins
 *
 * @package     Extly.Library
 * @subpackage  lib_extly
 * @since       1.0
 */
class Xlugins
{

	/**
	 * initModule.
	 *
	 * @param   array  &$config  Param
	 *
	 * @return	void
	 *
	 * @since	1.0
	 */
	public static function initModule(&$config)
	{
		define('EPATH_XLUGINS', EPATH_LIBRARY . '/xlugins/backend');
		define('EPATH_XLUGINS_MODELS', EPATH_LIBRARY . '/xlugins/backend/models');
		define('EPATH_XLUGINS_VIEWS', EPATH_LIBRARY . '/xlugins/backend/views');

		// View
		$config['base_path'] = EPATH_XLUGINS;

		$jlang = JFactory::getLanguage();
		$jlang->load('xlugins', EPATH_XLUGINS, 'en-GB', true);
		$jlang->load('xlugins', EPATH_XLUGINS, null, true);
	}

}
